## ros-melodic-pr2-moveit-plugins 0.7.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(pr2_moveit_plugins)

if(NOT CMAKE_CONFIGURATION_TYPES AND NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE Release)
endif()

find_package(catkin REQUIRED COMPONENTS
  actionlib
  cmake_modules
  control_msgs
  eigen_conversions
  kdl_parser
  moveit_core
  pluginlib
  pr2_controllers_msgs
  pr2_mechanism_msgs
  rosconsole
  roscpp
  tf
  tf_conversions
  urdf
  angles
)

find_package(Eigen3 REQUIRED)
find_package(Boost REQUIRED thread)

catkin_package(
  LIBRARIES
  INCLUDE_DIRS
  CATKIN_DEPENDS
    control_msgs
    moveit_core
    pr2_controllers_msgs
    pr2_mechanism_msgs
)

add_compile_options(-std=c++11)

include_directories(pr2_arm_kinematics/include)
include_directories(SYSTEM ${EIGEN_INCLUDE_DIRS} ${Boost_INCLUDE_DIR})
include_directories(${catkin_INCLUDE_DIRS})

add_subdirectory(pr2_arm_kinematics)
add_subdirectory(pr2_moveit_controller_manager)
add_subdirectory(pr2_moveit_sensor_manager)
#add_subdirectory(pr2_moveit_constraint_sampler)

install(
  FILES
    pr2_moveit_kinematics_plugin_description.xml
    pr2_moveit_controller_manager_plugin_description.xml
    pr2_moveit_sensor_manager_plugin_description.xml
#    pr2_moveit_constraint_sampler_plugin_description.xml
  DESTINATION
    ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== pr2_arm_kinematics/CMakeLists.txt ===
set(MOVEIT_LIB_NAME pr2_moveit_arm_kinematics)

add_library(${MOVEIT_LIB_NAME} 
  src/pr2_arm_ik.cpp
  src/pr2_arm_kinematics_utils.cpp
  src/pr2_arm_ik_solver.cpp
  src/pr2_arm_kinematics_plugin.cpp
  )

target_link_libraries(${MOVEIT_LIB_NAME} ${catkin_LIBRARIES} ${Boost_LIBRARIES})

install(TARGETS ${MOVEIT_LIB_NAME} LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

=== pr2_moveit_constraint_sampler/CMakeLists.txt ===
set(MOVEIT_LIB_NAME pr2_moveit_constraint_sampler)

add_library(${MOVEIT_LIB_NAME} src/pr2_constraint_sampler.cpp)
target_link_libaries(${MOVEIT_LIB_NAME} ${catkin_LIBRARIES})

install(TARGETS ${MOVEIT_LIB_NAME} LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

=== pr2_moveit_controller_manager/CMakeLists.txt ===
set(MOVEIT_LIB_NAME pr2_moveit_controller_manager)

add_library(${MOVEIT_LIB_NAME} src/pr2_moveit_controller_manager.cpp)
target_link_libraries(${MOVEIT_LIB_NAME} ${catkin_LIBRARIES} ${Boost_LIBRARIES})
add_dependencies(${MOVEIT_LIB_NAME} pr2_mechanism_msgs_generate_messages_cpp pr2_controllers_msgs_generate_messages_cpp)

install(TARGETS ${MOVEIT_LIB_NAME} LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

=== pr2_moveit_sensor_manager/CMakeLists.txt ===
set(MOVEIT_LIB_NAME pr2_moveit_sensor_manager)

add_library(${MOVEIT_LIB_NAME} src/pr2_moveit_sensor_manager.cpp)
target_link_libraries(${MOVEIT_LIB_NAME} ${catkin_LIBRARIES} ${Boost_LIBRARIES})
add_dependencies(${MOVEIT_LIB_NAME} pr2_controllers_msgs_generate_messages_cpp)

install(TARGETS ${MOVEIT_LIB_NAME} 
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

=== debian/changelog ===
ros-melodic-pr2-moveit-plugins (0.7.3-1stretch) stretch; urgency=high

  * [fix] Add missing package: angles
  * Contributors: Robert Haschke

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 05 Oct 2019 22:00:00 -0000

ros-melodic-pr2-moveit-plugins (0.7.2-1stretch) stretch; urgency=high

  * [maintenance] Fix Travis (#103 <https://github.com/ros-planning/moveit_pr2/issues/103>)
  * [maintenance] Adapt IK to newer KDL API (#101 <https://github.com/ros-planning/moveit_pr2/issues/101>)
  * Contributors: Kei Okada, Robert Haschke

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 30 Sep 2019 22:00:00 -0000

ros-melodic-pr2-moveit-plugins (0.7.1-1stretch) stretch; urgency=high

  * use urdf typedefs to stay compatible with boost vs std ptrs
  * Contributors: v4hn

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 30 Mar 2019 23:00:00 -0000

ros-melodic-pr2-moveit-plugins (0.7.0-1stretch) stretch; urgency=high

  * Maintainer update & order dependencies
  * pluginlib headers migration
  * Migrate to format2
  * Add Bence as maintainer
  * GetKinematicSolverInfo -> KinematicSolverInfo
  * compile with c++11
  * Explicitly convert shared_ptr to bool for c++11 compatibility.
  * Contributors: Bence Magyar, Christian Dornhege, Dave Coleman, Isaac I.Y. Saito, Maarten de Vries, v4hn

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 26 Apr 2018 22:00:00 -0000

ros-melodic-pr2-moveit-plugins (0.6.4-1stretch) stretch; urgency=high

  * [enhance] Explicitly convert shared_ptr to bool for c++11 compatibility.
  * Contributors: Maarten de Vries

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 19 Jun 2017 22:00:00 -0000

ros-melodic-pr2-moveit-plugins (0.6.3-1stretch) stretch; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 23 Jun 2016 22:00:00 -0000

ros-melodic-pr2-moveit-plugins (0.6.2-1stretch) stretch; urgency=high

  * Fix message dependencies.
  * Contributors: Christian Dornhege

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 04 Feb 2016 23:00:00 -0000

ros-melodic-pr2-moveit-plugins (0.6.1-1stretch) stretch; urgency=high

  * update maintainer while debugging build errors
  * add build depend on cmake_modules
  * Contributors: Michael Ferguson

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 15 Jan 2015 23:00:00 -0000

ros-melodic-pr2-moveit-plugins (0.6.0-1stretch) stretch; urgency=high

  * build system fix
  * Fix deprecated class loader call, renamed global variables to have _, cleaned up launch files
  * Contributors: Dave Coleman, Ioan Sucan

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 13 Jan 2015 23:00:00 -0000

ros-melodic-pr2-moveit-plugins (0.5.7-1stretch) stretch; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 22 Mar 2014 23:00:00 -0000

ros-melodic-pr2-moveit-plugins (0.5.6-1stretch) stretch; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 26 Feb 2014 23:00:00 -0000

ros-melodic-pr2-moveit-plugins (0.5.5-1stretch) stretch; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 02 Jan 2014 23:00:00 -0000

ros-melodic-pr2-moveit-plugins (0.5.4-1stretch) stretch; urgency=high

  * for some reason it seems the Eigen allocator is not called when constructing objects on stack (?); this fixes things for 32bit OS

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 02 Dec 2013 23:00:00 -0000

ros-melodic-pr2-moveit-plugins (0.5.3-1stretch) stretch; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 22 Sep 2013 22:00:00 -0000

ros-melodic-pr2-moveit-plugins (0.5.2-1stretch) stretch; urgency=high

  * make headers and author definitions aligned the same way; white space fixes
  * fixes to gripper controller

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 12 Aug 2013 22:00:00 -0000

ros-melodic-pr2-moveit-plugins (0.5.1-1stretch) stretch; urgency=high

  * remove hacks for groovy

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 14 Jul 2013 22:00:00 -0000

ros-melodic-pr2-moveit-plugins (0.5.0-1stretch) stretch; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 14 Jul 2013 22:00:00 -0000

ros-melodic-pr2-moveit-plugins (0.4.3-1stretch) stretch; urgency=high

  * white space fixes (tabs are now spaces)
  * adding options struct to kinematics base

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 11 Jul 2013 22:00:00 -0000

=== debian/control ===
Source: ros-melodic-pr2-moveit-plugins
Section: misc
Priority: extra
Maintainer: Bence Magyar <bence.magyar.robotics@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-actionlib, ros-melodic-angles, ros-melodic-catkin, ros-melodic-cmake-modules, ros-melodic-control-msgs, ros-melodic-eigen-conversions, ros-melodic-kdl-parser, ros-melodic-moveit-core, ros-melodic-pluginlib, ros-melodic-pr2-controllers-msgs, ros-melodic-pr2-mechanism-msgs, ros-melodic-rosconsole, ros-melodic-roscpp, ros-melodic-tf, ros-melodic-tf-conversions, ros-melodic-urdf
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-melodic-pr2-moveit-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-actionlib, ros-melodic-angles, ros-melodic-control-msgs, ros-melodic-eigen-conversions, ros-melodic-kdl-parser, ros-melodic-moveit-core, ros-melodic-pluginlib, ros-melodic-pr2-controllers-msgs, ros-melodic-pr2-mechanism-msgs, ros-melodic-rosconsole, ros-melodic-roscpp, ros-melodic-tf, ros-melodic-tf-conversions, ros-melodic-urdf
Description: PR2 specific plugins for MoveIt
